%if 0%{?fedora} < 13 && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           pyqtrailer
Version:        0.6.2
Release:        8%{?dist}
Summary:        PyQt4 application to download trailers from apple.com
Group:          Applications/Multimedia
License:        GPLv3
URL:            http://github.com/sochotnicky/%{name}
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel,python-setuptools
BuildRequires:  pytrailer
BuildRequires:  python-dateutil
BuildRequires:  PyQt4-devel
BuildRequires:  desktop-file-utils

Requires:       python-dateutil
Requires:       pytrailer >= 0.6.0
Requires:       PyQt4
# pyqtrailer supports python3 but we have no python3-dateutil in Fedoras

%description
This application is able to download trailers from apple.com/trailers
to your computer.

It shows descriptions, posters, and other movie information.


%prep
%setup -q

%build
# We build during install phase. This is caused by some bug where --skip-build
# would create 0 sized generated files.

%install
%{__python} setup.py install --root %{buildroot}


desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
     xdg/%{name}.desktop

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 xdg/%{name}.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg


%files
%defattr(-,root,root,-)
%doc LICENSE README ChangeLog
%{_bindir}/pyqtrailer
%{python_sitelib}/pyqtrailer
%{python_sitelib}/*.egg-info
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  1 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.2-1
- Updated to latest upstream with updated translations
- Upstream fixed race condition during build

* Tue Feb  1 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.1-2
- Fix various build problems

* Mon Jan 31 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.1-1
- Update to latest upstream version

* Mon Nov 29 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.0-1
- Update to latest upstream version

* Tue Oct 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4.1-1
- Updated to latest upstream
- Using icon and desktop file from upstream
- Added desktop-file-utils to BR

* Mon Oct 18 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.6-2
- Added desktop entry and icon

* Fri Oct 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.6-1
- Initial version of package
